org.apache.felix.obrplugin

## Class ObrDeployFile

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.apache.felix.obrplugin.AbstractFileMojo
    - - org.apache.felix.obrplugin.ObrDeployFile

- All Implemented Interfaces:
    org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

      @Mojo(name="deploy-file",
            requiresProject=false,
            defaultPhase=DEPLOY)
      public final class ObrDeployFile
      extends AbstractFileMojo

  Deploys bundle details to a remote OBR repository (command-line goal)
  Author:
    Felix Project Team

- - ### Field Summary

    - ### Fields inherited from class org.apache.felix.obrplugin.AbstractFileMojo

      `file, obrXml`

    - ### Fields inherited from interface org.apache.maven.plugin.Mojo

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObrDeployFile()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute()`

    - ### Methods inherited from class org.apache.felix.obrplugin.AbstractFileMojo

      `getProject`

    - ### Methods inherited from class org.apache.maven.plugin.AbstractMojo

      `getLog, getPluginContext, setLog, setPluginContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObrDeployFile

          public ObrDeployFile()

  - ### Method Detail

    - #### execute

          public void execute()
                       throws org.apache.maven.plugin.MojoExecutionException

      Throws:
        `org.apache.maven.plugin.MojoExecutionException`

Copyright © 2015. All rights reserved.